Support for NW 6.04/7.0x

Anonymous
2011-07-08
2013-05-07
  • Anonymous - 2011-07-08

    I see that this is planned for the future…. any idea on a timeline - I've recently started working with NW 7.0.1 and am struggling with moving back to and eclipse 2.x based IDE!!!  I am newer to the SAP JEE stack with a WebSphere/Tomcat/Jboss background so not sure I could contribute but would help if guided.
    Thanks!

     
  • Kaloyan Raev

    Kaloyan Raev - 2011-07-13

    Hi, unfortunately SAP has no plan to start working on NW 6.04/7.0x support any time soon. If you want to influence the priority, then it would be best to contact SAP Support.

    If you wish to contribute for implementing NW 6.04/7.0x support, then I could give you some guidelines. It would be best to start studying the current implementation for NW 7.1x+. The idea is simple - the server adapter calls JAX-WS web services for communication with the NW server. There are two web services: 1) for server lifecycle operations: start, stop, etc; 2) for deploy operations. The first web service is the same for NW 6.40/7.0x and for NW 7.1x+, but the second one works only for NW 7.1x. We need to re-implement it for NW 6.40/7.1x, where the deployment mechanism is completely different.

    Let me know if you want to go deeper into these waters.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks